Bug 106081 - ucd-snmp memory broken with bigmem kernels
Summary: ucd-snmp memory broken with bigmem kernels
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-02 16:23 UTC by Hrunting Johnson
Modified: 2015-03-05 01:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-29 16:16:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to report memory properly on bigmem/enterprise kernels (852 bytes, patch)
2003-10-02 16:24 UTC, Hrunting Johnson
no flags Details | Diff

Description Hrunting Johnson 2003-10-02 16:23:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6a)
Gecko/20030929 Firebird/0.7+

Description of problem:
This actually affects all ucd-snmp and net-snmp builds running on bigmem or
enterprise kernels.  Basically, ucd-snmp uses an unsigned long to read in the
memory value.  If you have over 4GB of memory (which these kernels support),
faulty memory values are returned.

The SNMP agent itself reports the values in KB as an unsigned 32-bit value, so a
value of at least 42-bits is supported.

Version-Release number of selected component (if applicable):
ucd-snmp-4.2.5-8.73.1

How reproducible:
Always

Steps to Reproduce:
1. install ucd-snmp on box with 8GB of RAM
2. query memory via SNMP
3.
    

Actual Results:  Wrong memory values returned

Expected Results:  Correct memory values returned

Additional info:

Attached is a patch which fixes this problem by using an unsigned long long to
store the value read from the file.  The checks to sanely present values for
systems with over 4TB of memory remain.

Comment 1 Hrunting Johnson 2003-10-02 16:24:15 UTC
Created attachment 94883 [details]
Patch to report memory properly on bigmem/enterprise kernels

Comment 2 Phil Knirsch 2003-10-23 09:30:03 UTC
Will be included in the next quartely update of AS2.1

Read ya, Phil

Comment 3 Phil Knirsch 2004-01-29 16:16:37 UTC
Errata has been released, closing as ERRATA.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.